--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Parse POSIX or RFC 3066 style locale name to Array.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "locale_name: locale name as String"
  - !ruby/object:SM::Flow::LIST 
    contents: 
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "Basic POSIX format: &lt;language&gt;_&lt;COUNTRY&gt;.&lt;charset&gt;@&lt;modifier&gt;"
    - !ruby/object:SM::Flow::LIST 
      contents: 
      - !ruby/struct:SM::Flow::LI 
        label: "*"
        body: Both of POSIX and C are converted to &quot;en&quot;.
      type: :BULLET
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "Basic RFC3066 format: &lt;language&gt;-&lt;COUNTRY&gt;"
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "Win32 format: &lt;language&gt;-&lt;COUNTRY&gt;-&lt;Script&gt;_&lt;sort order&gt;"
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "CLDR format: &lt;language&gt;_&lt;Script&gt;_&lt;COUNTRY&gt;_&lt;variant&gt;@&lt;modifier&gt;"
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "Some broken format: &lt;language&gt;_&lt;country&gt;_&lt;script&gt; # Don't use this."
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "The max locale format is below:"
    - !ruby/object:SM::Flow::LIST 
      contents: 
      - !ruby/struct:SM::Flow::LI 
        label: "*"
        body: "&lt;language&gt;-&lt;COUNTRY&gt;-&lt;Script&gt;_&lt;sort order&gt;.&lt;charset&gt;@&lt;modifier&gt;"
      - !ruby/struct:SM::Flow::LI 
        label: "*"
        body: "format: &lt;language&gt;_&lt;Script&gt;_&lt;COUNTRY&gt;_&lt;variant&gt;@&lt;modifier&gt;"
      - !ruby/object:SM::Flow::LIST 
        contents: 
        - !ruby/struct:SM::Flow::LI 
          label: "*"
          body: both of '-' and '_' are separators.
        - !ruby/struct:SM::Flow::LI 
          label: "*"
          body: each elements are omittable.
        type: :BULLET
      type: :BULLET
    type: :BULLET
  - !ruby/struct:SM::Flow::P 
    body: (e.g.) uz-UZ-Latn, ja_JP.eucJP, wa_BE.iso885915@euro
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Returns: [language, country, charset, script, modifier]"
  - !ruby/object:SM::Flow::LIST 
    contents: 
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "language: a lowercase ISO 639(or 639-2/T) language code."
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "country: an uppercase ISO 3166-1 country/region identifier."
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "charset: charset(codeset) (no standard)"
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "script: an initial-uppercase ISO 15924 script code."
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "variant: variant value in CLDR or sort order in Win32."
    - !ruby/struct:SM::Flow::LI 
      label: "*"
      body: "modifier: (no standard)"
    type: :BULLET
  type: :BULLET
- !ruby/struct:SM::Flow::VERB 
  body: " (e.g.)\n &quot;ja_JP.eucJP&quot; =&gt; [&quot;ja&quot;, &quot;JP&quot;, &quot;eucJP&quot;, nil, nil]\n &quot;ja-jp.utf-8&quot; =&gt; [&quot;ja&quot;, &quot;JP&quot;, &quot;utf-8&quot;, nil, nil]\n &quot;ja-jp&quot; =&gt; [&quot;ja&quot;, &quot;JP&quot;, nil, nil, nil]\n &quot;ja&quot; =&gt; [&quot;ja&quot;, nil, nil, nil, nil]\n &quot;uz@Latn&quot; =&gt; [&quot;uz&quot;, nil, nil, nil, &quot;Latn&quot;]\n &quot;uz-UZ-Latn&quot; =&gt; [&quot;uz&quot;, &quot;UZ&quot;, nil, &quot;Latn&quot;, nil]\n &quot;uz_UZ_Latn&quot; =&gt; [&quot;uz&quot;, &quot;UZ&quot;, nil, &quot;Latn&quot;, nil]\n &quot;wa_BE.iso885915@euro&quot; =&gt; [&quot;wa&quot;, &quot;BE&quot;, &quot;iso885915&quot;, nil, &quot;euro&quot;]\n &quot;C&quot; =&gt; [&quot;en&quot;, nil, nil, nil, nil]\n &quot;POSIX&quot; =&gt; [&quot;en&quot;, nil, nil, nil, nil]\n &quot;zh_Hant&quot; =&gt; [&quot;zh&quot;, nil, nil, &quot;Hant&quot;, nil]\n &quot;zh_Hant_HK&quot; =&gt; [&quot;zh&quot;, &quot;HK&quot;, nil, &quot;Hant&quot;, nil]\n &quot;de_DE@collation=phonebook,currency=DDM&quot; =&gt; [&quot;de&quot;, &quot;DE&quot;, nil, nil, &quot;collation=phonebook,currency=DDM&quot;]\n"
full_name: Locale::Object::parse
is_singleton: true
name: parse
params: (locale_name)
visibility: public
